- 2024-04-24
  - Set preliminary feature freeze date to 2024-05-08.
  - Set preliminary release date to 2024-05-14.
- 2024-05-08
  - Unable to enter feature freeze due to discovered performance problem on
    AdBlock that is seemingly related to newer EWE versions and due to failure
    in testpages tests.
- 2024-05-15
  - Set preliminary feature freeze date to 2024-05-22.
  - Set preliminary release date to 2024-05-28.
- 2024-05-22
  - Unable to enter feature freeze due to ongoing failure in testpages tests and
    due abp#1675 and abp#1679 not having been merged yet.
- 2024-05-24
  - Defined scope.
  - Updated release notes draft.
- 2024-05-27
  - Updated rules data.
- 2024-05-28
  - Received notification that testing has finished.
  - Published to downloads repo.
  - Generated Manifest v3 development build 4.1.11251.
  - Published development build to CWS.
  - Published to CWS.
  - Published to Microsoft store.
  - Published to Opera store.
- 2024-05-29
  - Noticed that release is live on CWS.
  - Noticed that release is live on Microsoft store.
  - Noticed that release is live on Opera store.
- 2024-05-31
  - Noticed that development build is live on CWS.
